## Doxdialer

A new flutter plugin project that helps communicate with native modules.

## What is DoxDialer

Doximity lets healthcare professionals make phone calls to patients while on the go -- without revealing personal phone numbers. Calls are routed through Doximity's HIPAA-secure platform and relayed to the patient who will see the doctor's office number in the Caller ID. Doximity is currently available to verified physicians, nurse practitioners, physician assistants and pharmacists in the United States.
This µLibrary lets 3rd-party apps easily initiate calls through the Doximity app.

## Usage

###### Core Functionality

To initiate a call using Doximity, simply call the dialPhoneNumber method on the shared DoxDialerCaller instance. If the Doximity app is not installed, this call will direct the user to Doximity on the App Store.
Most reasonable phone number formats are accepted by the dialPhoneNumber method, e.g.:

- using numbers only: 6502333444
- formatted: (650)233-3444
- with a leading international area code: +1(650)233-3444

###### Using Swift

```bash
import CallWithDoxDialer
...
DoxDialerCaller.shared().dialPhoneNumber("4254443333")
```

###### Using Objective-C

```bash
#import <CallWithDoxDialer/CallWithDoxDialer.h>
...
[[DoxDialerCaller shared] dialPhoneNumber:@"4254443333"];
```

##License


[MIT](https://choosealicense.com/licenses/mit/)